Loading...
Searching...
No Matches
QwtAbstractLegend Class Referenceabstract

Abstract base class for legend widgets. More...

`#include <qwt_abstract_legend.h>`

Inheritance diagram for QwtAbstractLegend:

## Public Slots

virtual void | updateLegend (const QVariant &itemInfo, const QList< QwtLegendData > &data)=0
| Update the entries for a plot item.

## Public Member Functions

| QwtAbstractLegend (QWidget *parent=NULL)
virtual | ~QwtAbstractLegend ()
| Destructor.
virtual void | renderLegend (QPainter *painter, const QRectF &rect, bool fillBackground) const =0
virtual bool | isEmpty () const =0
virtual int | scrollExtent (Qt::Orientation) const

## Detailed Description

Abstract base class for legend widgets.

Legends, that need to be under control of the QwtPlot layout system need to be derived from QwtAbstractLegend.

Note
  Other type of legends can be implemented by connecting to the QwtPlot::legendDataChanged() signal. But as these legends are unknown to the plot layout system the layout code ( on screen and for QwtPlotRenderer ) need to be organized in application code.

See also
  QwtLegend

Definition at line 34 of file qwt_abstract_legend.h.

## Constructor & Destructor Documentation

## QwtAbstractLegend()

QwtAbstractLegend::QwtAbstractLegend | ( | QWidget * | parent = NULL | ) |

explicit

Constructor

Parameters

  parent | Parent widget

Definition at line 18 of file qwt_abstract_legend.cpp.

## ~QwtAbstractLegend()

QwtAbstractLegend::~QwtAbstractLegend | ( |  | ) |

virtual

Destructor.

Definition at line 24 of file qwt_abstract_legend.cpp.

## Member Function Documentation

## isEmpty()

virtual bool QwtAbstractLegend::isEmpty | ( |  | ) | const

pure virtual

Returns
  True, when no plot item is inserted

Implemented in QwtLegend.

## renderLegend()

virtual void QwtAbstractLegend::renderLegend | ( | QPainter * | painter,
|  | const QRectF & | rect,
|  | bool | fillBackground ) const

pure virtual

Render the legend into a given rectangle.

Parameters

  painter | Painter
  rect | Bounding rectangle
  fillBackground | When true, fill rect with the widget background

See also
  renderLegend() is used by QwtPlotRenderer

Implemented in QwtLegend.

## scrollExtent()

int QwtAbstractLegend::scrollExtent | ( | Qt::Orientation | orientation | ) | const

virtual

Return the extent, that is needed for elements to scroll the legend ( usually scrollbars ),

Parameters

  orientation | Orientation

Returns
  Extent of the corresponding scroll element

Reimplemented in QwtLegend.

Definition at line 35 of file qwt_abstract_legend.cpp.

## updateLegend

virtual void QwtAbstractLegend::updateLegend | ( | const QVariant & | itemInfo,
|  | const QList< QwtLegendData > & | data )

pure virtual slot

Update the entries for a plot item.

Parameters

  itemInfo | Info about an item
  data | List of legend entry attributes for the item